## silo-llnl 4.11

=== SiloWindows/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# SiloWindows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 1994-2016 Lawrence Livermore National Security, LLC.
# LLNL-CODE-425250.
# All rights reserved.
# 
# This file is part of Silo. For details, see silo.llnl.gov.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    * Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the disclaimer below.
#    * Redistributions in binary form must reproduce the above copyright
#      notice, this list of conditions and the disclaimer (as noted
#      below) in the documentation and/or other materials provided with
#      the distribution.
#    * Neither the name of the LLNS/LLNL nor the names of its
#      contributors may be used to endorse or promote products derived
#      from this software without specific prior written permission.
# 
# THIS SOFTWARE  IS PROVIDED BY  THE COPYRIGHT HOLDERS  AND CONTRIBUTORS
# "AS  IS" AND  ANY EXPRESS  OR IMPLIED  WARRANTIES, INCLUDING,  BUT NOT
# LIMITED TO, THE IMPLIED  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A  PARTICULAR  PURPOSE ARE  DISCLAIMED.  IN  NO  EVENT SHALL  LAWRENCE
# LIVERMORE  NATIONAL SECURITY, LLC,  THE U.S.  DEPARTMENT OF  ENERGY OR
# CONTRIBUTORS BE LIABLE FOR  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR  CONSEQUENTIAL DAMAGES  (INCLUDING, BUT NOT  LIMITED TO,
# PROCUREMENT OF  SUBSTITUTE GOODS  OR SERVICES; LOSS  OF USE,  DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER  IN CONTRACT, STRICT LIABILITY,  OR TORT (INCLUDING
# NEGLIGENCE OR  OTHERWISE) ARISING IN  ANY WAY OUT  OF THE USE  OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# This work was produced at Lawrence Livermore National Laboratory under
# Contract No.  DE-AC52-07NA27344 with the DOE.
# 
# Neither the  United States Government nor  Lawrence Livermore National
# Security, LLC nor any of  their employees, makes any warranty, express
# or  implied,  or  assumes  any  liability or  responsibility  for  the
# accuracy, completeness,  or usefulness of  any information, apparatus,
# product, or  process disclosed, or  represents that its use  would not
# infringe privately-owned rights.
# 
# Any reference herein to  any specific commercial products, process, or
# services by trade name,  trademark, manufacturer or otherwise does not
# necessarily  constitute or imply  its endorsement,  recommendation, or
# favoring  by  the  United  States  Government  or  Lawrence  Livermore
# National Security,  LLC. The views  and opinions of  authors expressed
# herein do not necessarily state  or reflect those of the United States
# Government or Lawrence Livermore National Security, LLC, and shall not
#
# Makefile.am --- automake input file for SiloWindows directory
#
#
# Modifications:
#   Mark C. Miller, Tue Aug  3 17:24:43 PDT 2010
#   Ensure a number of silo project files were included.
#
#   Kathleen Bonnell, Fri Dec 10 10:02:09 PST 2010
#   Add silodiff.bat, browser.vcxproj
#
#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
#   Add MSVC2012 project files.
#
#   Kathleen Bonnell, Thu Mar 3 10:38:05 PST 2011
#   Remove MSVC2012 and MSVC2010 project files. Add MSVC2012 project files.

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/silo
pkgincludedir = $(includedir)/silo
pkglibdir = $(libdir)/silo
pkglibexecdir = $(libexecdir)/silo
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = SiloWindows
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compiler_flags.m4 \
	$(top_srcdir)/config/ax_have_qt.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/vl_lib_readline.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /g/g11/miller86/silo/trunk/config/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /g/g11/miller86/silo/trunk/config/missing autoconf
AUTOHEADER = ${SHELL} /g/g11/miller86/silo/trunk/config/missing autoheader
AUTOMAKE = ${SHELL} /g/g11/miller86/silo/trunk/config/missing automake-1.15
AWK = gawk
BROWSER = browser
BUNDLE_TARGET = 
CC = gcc
CCDEPMODE = depmode=gcc3
CC_FULLPATH = /usr/tce/packages/gcc/gcc-6.1.0/bin/gcc
CFLAGS = -g -m64 -fPIC -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
CONFIG_CMD = ./configure 'CXX=g++' 'CC=gcc' 'FC=gfortran' 'F77=gfortran' 'CFLAGS=-g -m64 -fPIC' 'CXXFLAGS=-g -m64 -fPIC' 'LDFLAGS=-ldl -lm' '--with-szlib=/usr/gapps/silo/szip/2.1/toss_3_x86_64' '--with-hdf5=/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/include,/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/lib' '--enable-hzip' '--enable-fpzip' '--enable-zfp' '--enable-silex' '--enable-pythonmodule' '--enable-shared' '--enable-install-lite-headers' '--enable-json' '--prefix=/g/g11/miller86/silo/trunk/myinstall'
CONFIG_DATE = Thu Sep  9 20:22:21 PDT 2021
CONFIG_USER = miller86@surface86
CPP = gcc -E
CPPFLAGS = -I/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/include 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -m64 -fPIC
CXX_FULLPATH = /usr/tce/packages/gcc/gcc-6.1.0/bin/g++
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
F77 = gfortran
FC = gfortran
FCFLAGS = -g -O2
FCLIBS =  -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0 -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0/../../../../x86_64-pc-linux-gnu/lib -L/usr/tce/packages/gcc/gcc-6.1.0/lib64/gcc/x86_64-pc-linux-gnu/6.1.0/../../.. -ldl -lgfortran -lm -lquadmath
FC_FULLPATH = /usr/tce/packages/gcc/gcc-6.1.0/bin/gfortran
FFLAGS = -g -O2
FGREP = /usr/bin/grep -F
FORTRAN = fortran
FPZIP = fpzip
GREP = /usr/bin/grep
HDF5_DRV = hdf5_drv
HZIP = hzip
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
JSON = json
LD = /usr/tce/packages/gcc/gcc-6.1.0/bin/ld -m elf_x86_64
LDFLAGS = -L/usr/gapps/silo/hdf5/1.8.16/toss_3_x86_64/lib -L/usr/gapps/silo/szip/2.1/toss_3_x86_64/lib -ldl -lm -L/usr/gapps/silo/szip/2.1/toss_3_x86_64/lib
LIBM = -lm
LIBOBJS = 
LIBS = -lhdf5 -lsz -lsz -lz  -lm -lsz
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAINT = #
MAKEINFO = ${SHELL} /g/g11/miller86/silo/trunk/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /usr/bin/mkdir -p
NETCDF = netcdf
NM = /usr/tce/packages/gcc/gcc-6.1.0/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = silo
PACKAGE_BUGREPORT = visit-users@elist.ornl.gov
PACKAGE_NAME = silo
PACKAGE_STRING = silo 4.11
PACKAGE_TARNAME = silo
PACKAGE_URL = 
PACKAGE_VERSION = 4.11
PATH_SEPARATOR = :
PDBP_DRV = 
PDB_DRV = pdb_drv
PYTHON = /usr/tce/bin/python
PYTHONMODULE = python
PYTHON_CPPFLAGS = -I/usr/tce/packages/python/python-2.7.16/include/python2.7
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7

=== debian/changelog ===
silo-llnl (4.11-3) unstable; urgency=medium

  * Fix for FTBFS with g++12. Closes: #1017240
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:09:57 +0100

silo-llnl (4.11-2) unstable; urgency=medium

  * Add build-dep on libpython3-all-dev for python3.10 builds.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Nov 2021 14:11:15 +0000

silo-llnl (4.11-1) unstable; urgency=medium

  * New upstream release
    - security-fix.patch merged upstream
    - remove-mpiposix.patch unneeded
    - qt5.patch dropped
    - python3 patches now upstream
  * Update version-script.patch for 4.11
  * Drop obsole qt4-dev-tools conflict
  * Standards-Version: 4.6.0
  * Now configure with CC=mpicc not mpicc++; mpic++ no longer needed for
    Qt to compile, and it breaks Fortran tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 04 Oct 2021 16:53:49 +0100

=== debian/control ===
Source: silo-llnl
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-sequence-python3,
  libreadline-dev, 
  libhdf5-mpi-dev | libhdf5-dev, 
  zlib1g-dev, 
  libaec-dev,
  libfpzip-dev [ !i386 !armel !armhf !mipsel  !hurd-i386 !hppa !powerpc !kfreebsd-i386 !x32],
  python3-all-dev, 
  libpython3-all-dev,
  gfortran | fortran-compiler, 
  chrpath, 
  mpi-default-dev, 
  autoconf-archive, 
  qtbase5-dev, 
  qtchooser
Standards-Version: 4.6.1
Homepage:  https://wci.llnl.gov/simulation/computer-codes/silo/
Vcs-Browser: https://salsa.debian.org:/science-team/silo-llnl.git
Vcs-Git: https://salsa.debian.org:/science-team/silo-llnl.git -b  debian/latest

Package: libsilo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (= ${binary:Version})
Description: Development files for SILO Scientific I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to 
 binary, disk files. The files Silo produces and the data within them can be 
 easily shared and exchanged between wholly independently developed applications 
 running on disparate computing platforms. Consequently, Silo facilitates the 
 development of general purpose tools for processing scientific data. 
 One of the more popular tools that process Silo data files is the 
 VisIt visualization tool.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo 
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes, 
 constructive solid geometry (CSG) meshes, piecewise-constant 
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables 
 defined on the node, edge, face or volume elements of meshes as well as 
 the decomposition of meshes into arbitrary subset hierarchies including 
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application 
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.
 . 
 Architecturally, the library is divided into two main pieces; an upper-level
 application programming interface (API) and a lower-level I/O implementation 
 called a driver. Silo supports multiple I/O drivers, the two most common of 
 which are the HDF5 (Hierarchical Data Format 5) and PDB (Portable Data Base) 
 drivers. 

Package: libsiloh5-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SILO Science I/O library from LLNL
 Silo is a library for reading and writing a wide variety of scientific data to
 binary, disk files.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: libsilo-bin
Architecture: any
Multi-Arch: foreign
Depends: libsiloh5-0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Utilities to manipulate libsilo files
 This package contains a number of utilities for manipulating and viewing
 Silo files. Silo is a scientific data format library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

Package: python3-silo
Section: python
Architecture: any
Multi-Arch: same
X-Python-Version: all
Depends: python3, ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libsiloh5-0 (=${binary:Version})
Provides: ${python3:Provides}
Description: Python3 interface to the SILO Scientific I/O library
 This is a Python3 interface to SILO, a scientific I/O library.
 .
 Silo supports gridless (point) meshes, structured meshes, unstructured-zoo
 and unstructured-arbitrary-polyhedral meshes, block structured AMR meshes,
 constructive solid geometry (CSG) meshes, piecewise-constant
 (e.g. zone-centered) and piecewise-linear (e.g. node-centered) variables
 defined on the node, edge, face or volume elements of meshes as well as
 the decomposition of meshes into arbitrary subset hierarchies including
 materials and mixing materials. In addition, Silo supports a wide variety of
 other useful objects to address various scientific computing application
 needs. Although the Silo library is a serial library, it has some key features
 which enable it to be applied quite effectively and scalable in parallel.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# magic debhelper rule
%:
	dh $@ 

include /usr/share/mpi-default-dev/debian_defaults
MPI:=$(ARCH_DEFAULT_MPI_IMPL)
MPI_INC:=/usr/lib/$(MPI)/include

ifeq ($(shell dpkg-architecture -qDEB_TARGET_ARCH_BITS), 64)
    FPZIP:= --enable-fpzip
else
    FPZIP:= --disable-fpzip
endif

ifeq ($(MPI),lam)
  CC:=mpicc.lam
  CXX:=mpic++.lam
else
  CXX:=mpic++
  CC:=mpicc
endif

export CONFIG_SHELL=/bin/sh

# QT version 4 or 5
export QT_SELECT=5

PY3VERS:= `py3versions -s`
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

export DEFAULT_SZIP=/usr

QT_INC:=/usr/include/$(DEB_HOST_MULTIARCH)/qt5
QT_BINDIR=/usr/bin
QT_INCLUDES:=-I$(QT_INC) -I$(QT_INC)/QtGui -I$(QT_INC)/QtCore -I$(QT_INC)/QtWidgets
QT_LIBS:=-lQt5Core -lQt5Gui -lQt5Widgets

# Work with either old or new-style (co-installable)  HDF5 layouts
ifneq ($(wildcard $(LIBDIR)/hdf5/$(MPI)/libhdf5.so),)
HDF5_INC:=/usr/include/hdf5/$(MPI)
HDF5_LIB:=$(LIBDIR)/hdf5/$(MPI)
else
ifneq ($(wildcard $(LIBDIR)/hdf5/serial/libhdf5.so),)
HDF5_INC:=/usr/include/hdf5/serial
HDF5_LIB:=$(LIBDIR)/hdf5/serial
else
HDF5_INC:=/usr/include
HDF5_LIB:=/usr/lib
endif
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-versioned-symbols \
		--enable-pythonmodule \
		--enable-silex \
		--with-szlib \
		--disable-hzip \
		$(FPZIP) \
		--with-hdf5=$(HDF5_INC),$(HDF5_DIR) \
		--enable-install-lite-headers \
		--with-Qt-bin-dir=$(QT_BINDIR) --with-Qt-include-dir=$(QT_INC) \
		CC=$(CC) CXX=$(CXX) CFLAGS="$(CFLAGS) -fPIC " CXXFLAGS="$(CXXFLAGS) -fPIC " \
		LDFLAGS="$(LDFLAGS) -L$(HDF5_LIB) " \
		CPPFLAGS=" $(QT_INCLUDES) -I$(MPI_INC) $(CPPFLAGS)"

# Iterate over some directories to avoid stepping into tools/silex, which doesn't build.
override_dh_auto_build:
	for d in src tools/browser tools/silock ; do \
		$(MAKE) -C $$d CC=$(CC) CXX=$(CXX) ; done
	$(MAKE) -C tools/silex CXX=$(CXX) QT_MOC=moc QT_LIBS="$(QT_LIBS)" 
	set -e ; for p in $(PY3VERS) ; do   \
		echo "Build python interface for $$p" ; \
		$(MAKE) -C tools/python clean all check CXX=$(CXX) PYTHON_CPPFLAGS="-I/usr/include/$$p" ; \
		mkdir -p  debian/tmp/usr/lib/pyshared/$$p ;  \
		cp tools/python/.libs/Silo.so debian/Silo.so.$$p  ; \
	done

override_dh_auto_test:
	for d in tests src tools/browser tools/silock ; do \
                $(MAKE) -C $$d check; done

override_dh_auto_install:
	# move the python modules to where dh_python* will spot them ...
	set -e; for p in $(PY3VERS); do \
		mkdir -p debian/tmp/usr/lib/$$p/site-packages ; \
		chrpath -d debian/Silo.so.$$p ; \
		cp debian/Silo.so.$$p debian/tmp/usr/lib/$$p/site-packages/Silo.so ; \
	done
	for p in src tools/browser tools/silock  tools/silex ; do \
		$(MAKE) -C $$p install prefix=`pwd`/debian/tmp ; done
	dh_install
	find debian/tmp -name '*.la' -delete

override_dh_auto_clean:
	dh_clean
	rm -f debian/Silo.so.* config.log
	( [ -f Makefile ] && make distclean || echo "No Makefile present ; skipping make distclean" )
